Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class ATADriveController

    java.lang.Object
      dioscuri.module.ata.ATADriveController

    public class ATADriveController

extends java.lang.Object

Class representing the ATA drive controller.

Field Summary
`int` | `multipleSectors`
`protected int` | `numSectorsPerBlock`
`ATA` | `parent`

Constructor Summary
`ATADriveController(ATA theParent)` Copnstructor.

Method Summary
`byte[]` | `getBuffer()`
`int` | `getBufferIndex()`
`int` | `getBufferSize()`
`int` | `getByteCount()`
`int` | `getCurrentCommand()`
`int` | `getDrqIndex()`
`int` | `getErrorRegister()`
`InterruptReason` | `getInterruptReason()`
`int` | `getLbaMode()`
`int` | `getMultipleSectors()`
`int` | `getNumSectorsPerBlock()`
`int` | `getPacketDma()`
`int` | `getResetInProgress()`
`ATAStatus` | `getStatus()`
`boolean` | `isDisableIrq()`
`boolean` | `isReset()`
`void` | `reset()` reset the control
`void` | `setBuffer(int index, byte bufferValue)`
`void` | `setBufferIndex(int bufferIndex)`
`void` | `setBufferSize(int bufferSize)`
`void` | `setByteCount(int byteCount)`
`void` | `setCurrentCommand(int currentCommand)`
`void` | `setDisableIrq(boolean disableIrq)`
`void` | `setDrqIndex(int drqIndex)`
`void` | `setErrorRegister(int errorRegister)`
`void` | `setInterruptReason(InterruptReason interruptReason)`
`void` | `setLbaMode(int lbaMode)`
`void` | `setMultipleSectors(int multipleSectors)`
`void` | `setNumSectorsPerBlock(int numSectorsPerBlock)`
`void` | `setPacketDma(int packetDma)`
`void` | `setReset(boolean reset)`
`void` | `setResetInProgress(int resetInProgress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numSectorsPerBlock

    protected int numSectorsPerBlock

### parent

    public ATA parent

### multipleSectors

    public int multipleSectors

Constructor Detail

### ATADriveController

    public ATADriveController(ATA theParent)

  Copnstructor.

  Parameters:
    `theParent` -

Method Detail

### reset

    public void reset()

  reset the control

### getStatus

    public ATAStatus getStatus()

  Returns:
    -

### getLbaMode

    public int getLbaMode()

  Returns:
    -

### setLbaMode

    public void setLbaMode(int lbaMode)

  Parameters:
    `lbaMode` -

### getErrorRegister

    public int getErrorRegister()

  Returns:
    -

### setErrorRegister

    public void setErrorRegister(int errorRegister)

  Parameters:
    `errorRegister` -

### getBuffer

    public byte[] getBuffer()

  Returns:
    -

### setBuffer

    public void setBuffer(int index,
                          byte bufferValue)

  Parameters:
    `index` -
    `bufferValue` -

### getBufferSize

    public int getBufferSize()

  Returns:
    -

### setBufferSize

    public void setBufferSize(int bufferSize)

  Parameters:
    `bufferSize` -

### getBufferIndex

    public int getBufferIndex()

  Returns:
    -

### setBufferIndex

    public void setBufferIndex(int bufferIndex)

  Parameters:
    `bufferIndex` -

### getCurrentCommand

    public int getCurrentCommand()

  Returns:
    -

### setCurrentCommand

    public void setCurrentCommand(int currentCommand)

  Parameters:
    `currentCommand` -

### getDrqIndex

    public int getDrqIndex()

  Returns:
    -

### setDrqIndex

    public void setDrqIndex(int drqIndex)

  Parameters:
    `drqIndex` -

### getInterruptReason

    public InterruptReason getInterruptReason()

  Returns:
    -

### setInterruptReason

    public void setInterruptReason(InterruptReason interruptReason)

  Parameters:
    `interruptReason` -

### getByteCount

    public int getByteCount()

  Returns:
    -

### setByteCount

    public void setByteCount(int byteCount)

  Parameters:
    `byteCount` -

### isDisableIrq

    public boolean isDisableIrq()

  Returns:
    -

### setDisableIrq

    public void setDisableIrq(boolean disableIrq)

  Parameters:
    `disableIrq` -

### isReset

    public boolean isReset()

  Returns:
    -

### setReset

    public void setReset(boolean reset)

  Parameters:
    `reset` -

### getResetInProgress

    public int getResetInProgress()

  Returns:
    -

### setResetInProgress

    public void setResetInProgress(int resetInProgress)

  Parameters:
    `resetInProgress` -

### getNumSectorsPerBlock

    public int getNumSectorsPerBlock()

  Returns:
    -

### setNumSectorsPerBlock

    public void setNumSectorsPerBlock(int numSectorsPerBlock)

  Parameters:
    `numSectorsPerBlock` -

### getPacketDma

    public int getPacketDma()

  Returns:
    -

### setPacketDma

    public void setPacketDma(int packetDma)

  Parameters:
    `packetDma` -

### getMultipleSectors

    public int getMultipleSectors()

  Returns:
    -

### setMultipleSectors

    public void setMultipleSectors(int multipleSectors)

  Parameters:
    `multipleSectors` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD